<?php
/**
 * Swoosh external API interface.
 *
 * This file defines Swoosh's external API interface. Other
 * applications can interact with Swoosh through this API.
 *
 * $Horde: swoosh/lib/api.php,v 1.5 2005/01/03 14:35:32 jan Exp $
 *
 * Copyright 2003-2005 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Marko Djukic <marko@oblo.com>
 * @package Swoosh
 */

$_services['compose'] = array(
    'link' => '%application%/send.php?to=|to|'
);

$_services['send'] = array(
    'args' => array('gateway_id', 'to', 'message'),
    'type' => 'stringArray'
);


/**
 * Send a message through a specific gateway.
 *
 * @param int   $gateway_id  The ID of the gateway to use.
 * @param array $message     An array containing the components required for
 *                           a send. The minimum elements of the array are:
 *                              to   - the number or an array of numbers to
 *                                     which to send the SMS;
 *                              text - the message text.
 */
function _swoosh_send($gateway_id, $message)
{
    require_once dirname(__FILE__) . '/base.php';

    $gateway = $storage->getGateway($gateway_id);
    $gateway_driver = &Net_SMS::singleton($gateway['gateway_driver'], $gateway['gateway_params']);

    return $gateway_driver->send($message);
}
