<?php
/**
 * Swoosh base inclusion file.
 *
 * This file brings in all of the dependencies that every Swoosh script will
 * need, and sets up objects that all scripts use.
 *
 * Copyright 2003-2005 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: swoosh/lib/base.php,v 1.21 2005/01/03 14:35:32 jan Exp $
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('swoosh', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('SWOOSH_TEMPLATES', $registry->get('templates'));

/* Notification system. */
$notification = &Notification::singleton();
$notification->attach('status');

/* Find the base file path of Swoosh. */
@define('SWOOSH_BASE', dirname(__FILE__) . '/..');

/* Swoosh base libraries. */
require_once SWOOSH_BASE . '/lib/Swoosh.php';
require_once SWOOSH_BASE . '/lib/Storage.php';
require_once 'Net/SMS.php';

/* Templates. */
require_once 'Horde/Template.php';
$swoosh_tpl = &new Horde_Template();

/* Help. */
require_once 'Horde/Help.php';

/* Swoosh storage driver. */
$storage = &Swoosh_Storage::singleton('sql', $conf['sql']);
$storage->initialise();

/* Start compression, if requested. */
Horde::compressOutput();
