<?php
/**
 * The Swoosh script to list messages sent through various gateways.
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: swoosh/messages/index.php,v 1.5 2004/11/22 21:40:00 chuck Exp $
 */

@define('SWOOSH_BASE', dirname(__FILE__) . '/..');
require_once SWOOSH_BASE . '/lib/base.php';

/* Get the sorting. */
$sort_by = Swoosh::getSortBy('forums');
$sort_dir = Swoosh::getSortDir('forums');

$messages_array = $storage->getMessages(true);
if (is_a($messages_array, 'PEAR_Error')) {
    $notification->push(sprintf(_("Could not fetch list of messages. %s"), $messages_array->getMessage()), 'horde.error');
    $messages_array = array();
} elseif (empty($messages_array)) {
    $notification->push(_("No sent messages."), 'horde.warning');
}

$messages = array();
$date_format = $prefs->getValue('date_format');
$sends_url = Horde::applicationUrl('messages/sends.php');
foreach ($messages_array as $message_id => $message) {
    /* Show either a single recipient or text stating there are multiple. */
    $recipient  = (count($message['sends']) > 1 ?
                      _("multiple") :
                      $message['sends'][0]['send_recipient']);
    $recipient = Horde::link(Util::addParameter($sends_url, 'message_id', $message_id), _("Send information"), '', '', '', _("Send information")) . $recipient . '</a>';

    /* Prepare the messages list array. */
    $messages[] = array('message_id' => $message_id,
                        'gateway_id' => $message['gateway_id'],
                        'batch_id'   => $message['message_batch_id'],
                        'text'       => $message['message_text'],
                        'recipient'  => $recipient,
                        'date'       => strftime($date_format, $message['message_submitted']),
                        'status'     => Swoosh::getMessageStatus($message['sends']));
}

/* Set up actions. */
$swoosh_tpl->set('messages', $messages, true);
$swoosh_tpl->set('listheaders', array(_("Submitted"), _("Text"), _("Recipient"), _("Status")));
$swoosh_tpl->set('menu', Swoosh::getMenu('string'));
$swoosh_tpl->set('notify', Util::bufferOutput(array($notification, 'notify'), array('listeners' => 'status')));

require SWOOSH_TEMPLATES . '/common-header.inc';
echo $swoosh_tpl->fetch(SWOOSH_TEMPLATES . '/messages/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
